{
  "custom": {},
  "params": {
    "enabled": false,
    "role": "",
    "selected": false
  },
  "propConfig": {
    "params.enabled": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.role": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.selected": {
      "paramDirection": "inout",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 52,
      "width": 195
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "Checkbox"
        },
        "position": {
          "basis": "279px"
        },
        "propConfig": {
          "props.checkedIcon.color.enabled": {
            "binding": {
              "config": {
                "path": "session.props.theme"
              },
              "transforms": [
                {
                  "code": "\tif value \u003d\u003d \u0027light\u0027:\n\t\treturn \u0027#000000\u0027\n\treturn \u0027#BEB8B8\u0027",
                  "type": "script"
                }
              ],
              "type": "property"
            }
          },
          "props.enabled": {
            "binding": {
              "config": {
                "path": "view.params.enabled"
              },
              "type": "property"
            }
          },
          "props.selected": {
            "binding": {
              "config": {
                "bidirectional": true,
                "path": "view.params.selected"
              },
              "type": "property"
            }
          },
          "props.text": {
            "binding": {
              "config": {
                "path": "view.params.role"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "checkedIcon": {
            "color": {}
          }
        },
        "type": "ia.input.checkbox"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "alignContent": "space-between",
      "alignItems": "flex-start",
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}